#ifndef _ADDUNITTEMPLATE_H_
#define _ADDUNITTEMPLATE_H_

#include "allegro.h"
#include "gameConstants.h"

#include <string>
using namespace std;

struct AddUnitTemplate {
  string * unitType;

  fixed offsetDist;
  fixed offsetAngle;
  int numToMake;
  fixed angleSpread;
  fixed randomSpread;

  int attackNum;
  int cantAttackTime1;
  int cantAttackTime2;
  int cantAttackTime3;
  int cantMoveTime;  
  int costOfAttack;
  int moveForward;
  bool clickToUse;

  int subType;

  AddUnitTemplate (AddUnitTemplate * aut)
  {unitType = new string (*aut -> unitType); offsetDist = aut -> offsetDist; offsetAngle = aut -> offsetAngle; numToMake = aut -> numToMake; angleSpread = aut -> angleSpread; randomSpread = aut -> randomSpread; cantAttackTime1 = aut -> cantAttackTime1; cantAttackTime2 = aut -> cantAttackTime2; cantAttackTime3 = aut -> cantAttackTime3; cantMoveTime = aut -> cantMoveTime; attackNum = aut -> attackNum; moveForward = aut -> moveForward; clickToUse = aut -> clickToUse; costOfAttack = aut -> costOfAttack; subType = subUnitNone;}

  AddUnitTemplate (string * uT, fixed od, fixed oa, int ntm, fixed as, fixed rs, int aN, int cat1, int cat2, int cat3, int cmt, int mf, bool ctu, int coa)
  {unitType = new string (*uT); offsetDist = od; offsetAngle = oa; numToMake = ntm; angleSpread = as; randomSpread = rs; cantAttackTime1 = cat1; cantAttackTime2 = cat2; cantAttackTime3 = cat3; cantMoveTime = cmt; attackNum = aN; moveForward = mf; clickToUse = ctu; costOfAttack = coa; subType = subUnitNone;}

  void setSubtype (int s)
  {subType = s;}
};

#endif
