#ifndef _CAMPAIGN_H_
#define _CAMPAIGN_H_

#include "allegro.h"

#include <string>
using namespace std;

class Campaign {

 public:
  Campaign ();
  Campaign (string *, BITMAP *, BITMAP *);
  ~Campaign ();

  void setBeginPic (BITMAP *);
  BITMAP * getBeginPic ();

  void setEndPic (BITMAP *);
  BITMAP * getEndPic ();

  void setTotalRounds (int);
  int getTotalRounds ();

  void setFilename (string *);
  string * getFilename ();

 protected:
  string * filename;

  BITMAP * beginPic;
  BITMAP * endPic;
  int totalRounds;
};

#endif
