#ifndef _GAMESETTINGS_H_
#define _GAMESETTINGS_H_

#include "allegro.h"
#include "InputObj.h"

//why don't I use the allegro.cfg file?

//stores and retrieves
//screen
//controls
//sound volume
//directories
//high scores

class GameSettings {
 public:
  GameSettings ();

  int init (InputObj * iO);
  
  int loadGraphicsSettings ();
  int saveGraphicsSettings ();
  int loadControls (InputObj * iO);
  int saveControls (InputObj * iO);

  int getColorDepth ();
  int getResX ();
  int getResY ();
  int getGfxDriver ();
  void setGfxSettings (int, int, int, int);
  
  ~GameSettings ();

 protected:
  int resX;
  int resY;
  int colorDepth;
  int gfxDriver;
};

#endif
